Hi!

Thanks for the answer!

Unfortunately using the instant client causes another error, namely:

D:\temp>D:\temp\heti_jelentes_uj.exe
Starting up
C:/DOCUME~1/bkozma/eee/eee.heti_jelentes.exe.2/lib/oci8.rb:51:in
`init': OCI Library Initialization Error (OCIError)
        from C:/DOCUME~1/bkozma/eee/eee.heti_jelentes.exe.2/lib/
oci8.rb:51
        from C:/DOCUME~1/bkozma/eee/eee.heti_jelentes.exe.2/lib/
rubygems/custom_require.rb:27:in `gem_original_require'
        from C:/DOCUME~1/bkozma/eee/eee.heti_jelentes.exe.2/lib/
rubygems/custom_require.rb:27:in `require'
        from C:\DOCUME~1\bkozma\eee\eee.heti_jelentes.exe.2\app
\heti_jelentes.rb:2
        from C:\DOCUME~1\bkozma\eee\eee.heti_jelentes.exe.
2\bootstrap.rb:77:in `load'
        from C:\DOCUME~1\bkozma\eee\eee.heti_jelentes.exe.
2\bootstrap.rb:77


On jan. 12, 07:45, KUBO Takehiro <k... / jiubao.org> wrote:
> Hi,
>
> On Jan 11, 2008 10:09 PM, pihentagy <pihent... / gmail.com> wrote:
>
> > Hi all!
>
> > I tried to pack to an exe a ruby script, which uses oci8.
> > On my machine it works fine, but when I run it on an other machine I
> > get the following error:
> > (I also dumped the files packed by rubyscript2exe)
> > Can somebody hint what could be the problem?
> > Do I need any other file to run the program in any other machine?
> (snip)
> > f bin\OraClient9.Dll (1536272)
> > f bin\OraCommon9.Dll (590096)
> > f bin\ORACORE9.DLL (647440)
>
> It looks like using Oracle full client. Don't copy Oracle full client libraries.
> They need to be in the installed location. Otherwise, they won't work.
>
> IMO, it is a case to use Oracle instant client.